
/*******************************************************************

	NAME: local.h
	
	AUTHOR: K. Schroeder
	
	PURPOSE: System specific include file
	
	
*******************************************************************/

#ifndef NeedFunctionPrototypes
#if defined(FUNCPROTO) || defined(__STDC__)
#define NeedFunctionPrototypes 1
#else
#define NeedFunctionPrototypes 0
#endif /* __STDC__ */
#endif /* NeedFunctionPrototypes */


/* System specific include file.  krs2Feb90 */


		/*******************************
		*                              *
		*             sun              *
		*                              *
		*******************************/

#ifdef SUN
#define CLOCKS_PER_SEC	1000000

	/* NONE */

#endif
		/*******************************
		*                              *
		*       HP 300/400/700/800     *
		*                              *
		*******************************/

#ifdef HP300
#define CLOCKS_PER_SEC	1000000
#endif

#ifdef HP700
	/***************************************************************
	**
	** 1.	Need _INCLUDE_XOPEN_SOURCE and _INCLUDE_AES_SOURCE to
	** 	define caddr_t in sys/types.h
	**
	** 2.	Need _INCLUDE_POSIX_SOURCE to defined items in unistd.h
	** 	like off_t and uid_t - used in clock.c
	**
	** 3.	Need XLIB_ILLEGAL_ACCESS to access display->db.
	**	used in xgeom/xginit, emvu/init, sx11/initrdb.
	**
	***************************************************************/

#define _INCLUDE_XOPEN_SOURCE
#define _INCLUDE_AES_SOURCE
#define	_INCLUDE_POSIX_SOURCE
#define XLIB_ILLEGAL_ACCESS

#include <stdlib.h>
#include <sys/types.h>

#endif	/* HP700 */


		/*******************************
		*                              *
		*             Appolo           *
		*                              *
		*******************************/

#ifdef APOLLO

#undef __STDC__
#define size_t  int
#define NO_MALLOC_H	1
#define CLOCKS_PER_SEC	1000000

        /*******************************************************
        **
        **      XResourceManagerString program is not defined on
        **      Apollo, so use the definition of XResourceManagerString
        **      made in XMisc (v 1.3) X11R3.
	**
        *******************************************************/

#define XResourceManagerString(dpy) dpy->xdefaults;

#endif

/* System specific include file.  krs 31Aug90 */


		/*******************************
		*                              *
		*             Ibm6000          *
		*                              *
		*******************************/

#ifdef IBM6000

	/* NONE */

#endif

/* System specific include file.  krs 31Aug90 */


		/*******************************
		*                              *
		*             DOS              *
		*                              *
		*******************************/

#ifdef DOS

#define LOCAL_FN
#include <io.h>
#include "dos.h"

#else

#define LOCAL_FN static
/* #define CLOCKS_PER_SEC	1000000 ALREADY DEFINED IN time.h in HIGHC time.h */


#endif
